#! /bin/bash
#
# some variables
ICONON="/usr/share/icons/touchpad-icon1.png"
ICONOFF="/usr/share/icons/touchpad-icon2.png"
export TEXTDOMAIN="touchpad_toggle.sh"
export TEXTDOMAINDIR="/usr/share/locale"

function Exit ()
{
	KI1=$(ps -ejH | grep -A2  touchpad_toggle | grep yad | cut -d " " -f1,2)
	synclient TouchpadOff=0
	yad --text=$"Your Touchpad has been turned <b>ON</b>. \
		\n\n<i>Re-run this program to turn your touchpad off again.</i>" \
		--button="gtk-ok:0" --window-icon="/usr/share/icons/touchpad-icon1.png" \
		--title="TouchPad Toggle"
	kill $KI1
	killall touchpad_toggle
}
export -f Exit

PATH=${PATH}:/usr/sbin:/sbin

T=0
M=0

lsusb -v |grep "Mouse" &> /dev/null


if [ "$?" -ne "$M" ]; then
	if [ "$1" != "--no-gui" ]; then
	 yad --title="TouchPad Toggle" --text=$"You are attempting to run Touchpad Toggle without a USB Mouse being attached or detected. \
	 \n\nUnless you have an alternate poiniting device (e.g., keyboard based mouse stick), \nplease plug in a USB Mouse. Otherwise, you may \
	 not have access to a pointing device.\n Re-run Touchpad Toggle to toggle the state of your touchpad." \
	 --button="gtk-ok:0" --button="gtk-cancel:1" --window-icon=$ICONON --image=$ICONON 
		if [ $? = 1 ];then
		exit 0
		fi
	fi
fi
synclient -l |grep "TouchpadOff             = 0" &> /dev/null
if [ "$?" -eq "$T" ]; then
	synclient TouchpadOff=1
	if [ "$1" != "--no-gui" ]; then
		#yad --title="TouchPad Toggle" --text=$"Your Touchpad has been turned <b>OFF</b>. \
		#\n\n<i>Re-run this program to turn your touchpad on again.</i>" \
		#--button="gtk-ok:0" --window-icon=$ICONOFF --image=$ICONOFF
		yad --window-icon=$ICONOFF --image=$ICONOFF --title=$TITLE \
		--notification --text=$"Your Touchpad is turned <b>OFF</b>" \
		--command='yad --title="TouchPad Toggle" --form --field '$"Turn_On:btn"' \
		--button="gtk-close:0" --width=200  --window-icon='$ICONON' \
		--image='$ICONON' "sh -c Exit"'
	fi
	else
		synclient TouchpadOff=0
	if [ "$1" != "--no-gui" ]; then
		KI1=$(ps -ejH | grep -A2  touchpad_toggle | grep yad | cut -d " " -f1,2)
		yad --title="TouchPad Toggle" --text=$"Your Touchpad has been turned <b>ON</b>. \
		\n\n<i>Re-run this program to turn your touchpad off again.</i>" \
		--button="gtk-ok:0" --window-icon=$ICONON --image=$ICONON
		kill $KI1
		killall touchpad_toggle
	fi
fi
exit 0
